> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Member Connection Status

This endpoint provides the status of the member's most recent aggregation-type event. This is an important step in the aggregation process (as well as identification, verification, etc.), and the results returned by this endpoint should determine what you do next in order to successfully aggregate a member. MX has introduced new, more detailed information on the current status of a member's connection to a financial institution and the state of its aggregation: the `connection_status` field. These are intended to replace and expand upon the information provided in the `status` field, which will soon be deprecated; support for the `status` field remains for the time being. Member connection statuses should be used in conjunction with all the fields described below. For instance, when `is_being_aggregated` switches from `true` to `false` and the value of `connection_status` is `CONNECTED`, you can stop polling the status and [list the member's transactions](/api-reference/atrium/reference/transactions/list-transactions) or [list the transactions for a specific account](/api-reference/atrium/reference/accounts/list-account-transactions). The response for this endpoint is not the same as the read member endpoint; this endpoint returns fields which are specifically focused on the state of the member's aggregation, as well as including MFA challenges when the `connection_status` is `CHALLENGED`. MX recommends a minimum polling interval of 3 seconds when using this endpoint.

<RequestExample>
  ```shell Request theme={null}
  curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/status' \  -H 'Accept: application/vnd.mx.atrium.v1+json' \  -H 'MX-API-Key: {mx_api_key}' \  -H 'MX-Client-ID: {mx_client_id}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "member": {
      "aggregated_at": "2019-06-08T17:21:05Z",
      "connection_status": "CONNECTED",
      "guid": "MBR-a4652b66-3ee5-cb9f-295a-72eddef61db5",
      "has_processed_accounts": true,
      "has_processed_transactions": true,
      "is_authenticated": true,
      "is_being_aggregated": false,
      "status": "COMPLETED",
      "successfully_aggregated_at": "2019-06-07T21:16:03Z"
    }
  }
  ```
</ResponseExample>
